<template lang="pug">
#app.ui.container
  #header.ui.header
    .ui.menu.three.item
      a.left.item(
        href="#"
        v-if="$route.path !== '/'"
        @click="back"
        ) Back
      router-link.item(
        :to="route.path"
        v-else
        v-for="route in routes"
        ) {{ route.name }}
  #body
    router-view
</template>

<script>
export default {
  data () {
    return {
      routes: [
        { name: 'Meals', path: '/meals' },
        { name: 'Items', path: '/items' },
        { name: 'Store', path: '/store' }
      ]
    }
  },
  methods: {
    back (event) {
      // History length is 2 by default when opening a new tab
      if (window.history.length > 2) {
        // Prevent router-link from redirecting
        event.preventDefault()

        // Let the history handle the navigation
        this.$router.back()
      }
    }
  }
}
</script>

<style lang="sass" scoped>
  // ...
</style>
